Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Class UserAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.usermgmt.UserAlreadyExistsException

All Implemented Interfaces
  Serializable

    public class UserAlreadyExistsException

extends ApplicationException

Application exception class that will be thrown when an attempt is made to create a user that already exists.

See Also
  Serialized Form

Constructor Summary
`UserAlreadyExistsException()`
`UserAlreadyExistsException(String message)` Constructor
`UserAlreadyExistsException(String message, Throwable t)` Constructor
`UserAlreadyExistsException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAlreadyExistsException

    public UserAlreadyExistsException()

### UserAlreadyExistsException

    public UserAlreadyExistsException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### UserAlreadyExistsException

    public UserAlreadyExistsException(String message,
                                      Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### UserAlreadyExistsException

    public UserAlreadyExistsException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved